import { __awaiter } from "tslib";
import cac from 'cac';
import { consola } from 'consola';
import { commands } from './commands/index.js';
process.on('unhandledRejection', (err) => consola.error('[unhandledRejection]', err));
process.on('uncaughtException', (err) => consola.error('[uncaughtException]', err));
const cli = cac();
cli
    .command('init <folder>', 'Create a new project')
    .option('-s, --seed [repo]', 'Seed')
    .action((folder, options) => __awaiter(void 0, void 0, void 0, function* () {
    const command = yield commands.init();
    command
        .action(folder, options)
        .then((result) => {
    })
        .catch((error) => {
        consola.error(error);
        process.exit(1);
    });
}));
cli.help();
cli.version('0.0.0');
try {
    cli.parse();
}
catch (e) {
    consola.error(e);
    process.exit(1);
}
