import { readFileSync, writeFileSync } from 'node:fs';
import { paramCase as kebabCase } from 'change-case';
import handlebars from 'handlebars';
handlebars.registerHelper('kebabCase', kebabCase);
export const renderString = (template, data) => handlebars.compile(template)(data);
export const writeFileWithData = (file, data, templateFile) => {
    const template = readFileSync(templateFile || file, 'utf8');
    const output = renderString(template, data);
    writeFileSync(file, output, 'utf8');
};
