import { __awaiter } from "tslib";
import { spawn } from 'node:child_process';
export const install = (directory, verbose) => __awaiter(void 0, void 0, void 0, function* () {
    if (!directory) {
        throw new Error(`Invalid directory information, unable to run npm install: ${directory}`);
    }
    const spawnOptions = verbose
        ? {
            cwd: directory,
            shell: true,
            stdio: 'inherit',
        }
        : {
            cwd: directory,
            shell: true,
        };
    const didSucceed = (code) => `${code}` === '0';
    return new Promise((resolve, reject) => {
        const npmI = spawn('npm', ['install'], spawnOptions);
        npmI
            .on('close', (code) => {
            if (didSucceed(code)) {
                resolve(`success.`);
                return;
            }
            reject(new Error(`failed, exit code ${code}.`));
        })
            .on('error', (code) => {
            reject(new Error(`failed, exit code ${code}.`));
        });
    });
});
